Bug 1287746 - Unable to install tuskar services in undercloud
Unable to install tuskar services in undercloud
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ga
: 8.0 (Liberty)
Assigned To: Ben Nemec
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 10:13 EST by Qasim Sarfraz
Modified: 2016-04-18 02:51 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:57:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 258028 None None None Never

  None (edit)
Description Qasim Sarfraz 2015-12-02 10:13:44 EST
Description of problem:
I was deploying RHEL-OSP 8 director(beta), I enabled the tuskar in undercloud.conf. Undercloud installation failed with:

Error: Execution of '/bin/yum -d 0 -e 0 -y list python-tuskarclient' returned 1: Error: No matching Packages to list
Error: /Stage[main]/Main/Package[python-tuskarclient]/ensure: change from absent to present failed: Execution of '/bin/yum -d 0 -e 0 -y list pyt
hon-tuskarclient' returned 1: Error: No matching Packages to list

Version-Release number of selected component (if applicable): 8.0 (beta)


How reproducible:
Install undercloud with tuskar services installation enabled


Steps to Reproduce:
1. Install RHEL 7.2 
2. Follow the steps in guide to install undercloud.
3. Set enable_tuskar = true in undercloud.conf
4. Install undercloud: openstack install undercloud

Actual results:
puppet exits with status 1

Expected results:
puppet should complete successfully.
Comment 2 Jaromir Coufal 2015-12-02 10:57:58 EST
Hi Qasim, thanks for the report. Tuskar is not going to be shipped with RHEL-OSP director 8 anymore. There is work in upstream TripleO to replace this service with common-library and lightweight APIs but this won't be part of OSP8.
Comment 3 Qasim Sarfraz 2015-12-02 11:05:00 EST
Thanks Jaromir for the clarification. The parameter in the undercloud sample conf gives user an option to enable it. Which shouldn't be there.
Comment 4 Jaromir Coufal 2015-12-15 10:58:26 EST
Thanks Qasim, we will have a look on that.
Comment 6 Ben Nemec 2015-12-15 11:01:30 EST
Yeah, we should remove all of the tuskar related stuff from the undercloud install.  I'll take care of it.

Note You need to log in before you can comment on or make changes to this bug.